Foreman - Bug #16397

API template_combinations GET and DELETE by id not working
08/31/2016 12:03 PM - Shimon Shtein

Status: Closed
Priority: Normal
Assignee: Shimon Shtein
Category: API
Target version: 1.12.3
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1369737 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3802
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1369737

Description of problem:

With 6.2.1 there GET and DELETE of templates_combinations is not working anymore.
This is a regression over 6.0/6.1 where the same process worked for years.

Steps to Reproduce:

1. Assiocate a template with a hostgroup

2. Get association using the APl GET template_combinations/:id

3. Delete association using the API DELETE template_combinations/:id

Actual results:
Step 2 and 3 are giving a resource not foudn

Expected results:
Step 2 lists the tempmplate combination
Step 3 deletes the template combination

Additional info:

Related issues:
Related to Foreman - Feature #9031: Missing API call to list config_template ... Closed

01/19/2015

Associated revisions

Revision d33fe9cd - 09/12/2016 05:03 AM - Shimon Shtein

Fixes #16397 - set nested template_combo. objects to optional

Revision 71318e23 - 09/12/2016 11:39 AM - Shimon Shtein

Fixes #16397 - set nested template_combo. objects to optional

(cherry picked from commit d33fe9cd0e07b124e2ab5c87df7f8dfaefd24911)
Revision daf0f612 - 09/19/2016 12:27 PM - Shimon Shtein

Fixes #16397 - set nested template_combo. objects to optional

(cherry picked from commit d33fe9cd0e07b124e2ab5c87df7f8dfaefd24911)

History

#1 - 08/31/2016 12:04 PM - Shimon Shtein
- Assignee set to Shimon Shtein

- Target version set to 1.6.1

#2 - 08/31/2016 12:24 PM - Shimon Shtein

05/22/2024
https://bugzilla.redhat.com/show_bug.cgi?id=1369737

- Related to Feature #9031: Missing API call to list config_template combinations per hostgroup or environment added

#3 - 08/31/2016 12:26 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3802 added

#4 - 09/01/2016 03:06 AM - Ivan Necas

- Description updated

#5 - 09/08/2016 07:43 AM - lvan Necas

- Target version changed from 1.6.1 to 127

#6 - 09/12/2016 05:03 AM - Dominic Cleal
- Category changed from Unattended installations to API
- Priority changed from High to Normal

- translation missing: en.field_release set to 181

#7 - 09/12/2016 06:02 AM - Shimon Shtein
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset d33fe9cd0e07b124e2ab5c87df7{8dfaefd24911.

05/22/2024
